package cn.bunny.service.controller;

import cn.bunny.service.service.LoginService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpStatus;
import org.springframework.http.MediaType;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Tag(name = "访问首页内容")
@RestController
@RequestMapping("/")
public class IndexController {
    @Autowired
    private LoginService loginService;

    @Operation(summary = "访问首页", description = "访问首页")
    @GetMapping("")
    public String index() {
        return "欢迎访问 order Java Template，欢迎去Gitee：https://gitee.com/BunnyBoss/java_single.git";
    }

    @Operation(summary = "生成验证码", description = "生成验证码")
    @GetMapping("api/checkCode")
    public ResponseEntity<byte[]> checkCode() {
        HttpHeaders headers = new HttpHeaders();
        headers.setContentType(MediaType.IMAGE_JPEG);

        byte[] image = loginService.checkCode();
        return new ResponseEntity<>(image, headers, HttpStatus.OK);
    }
}
