package cn.bunny.service.service.impl;

import cn.bunny.entity.order.Order;
import cn.bunny.entity.user.User;
import cn.bunny.service.mapper.OrderMapper;
import cn.bunny.service.mapper.UserMapper;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.util.DigestUtils;

import java.math.BigDecimal;
import java.security.NoSuchAlgorithmException;

@SpringBootTest
public class OrderServiceVerticalTest {
    @Autowired
    private UserMapper userMapper;
    @Autowired
    private OrderMapper orderMapper;

    // 垂直分片测试
    @Test
    void insertOrder() throws NoSuchAlgorithmException {
        double num = Math.random();
        String md5Hex = DigestUtils.md5DigestAsHex(String.valueOf(num).getBytes());

        // 插入USER数据
        User user = new User();
        user.setUname("呵呵呵");
        userMapper.insert(user);

        // 插入ORDER数据
        Order order = new Order();
        order.setOrderNo(md5Hex);
        order.setUserId(user.getId());
        order.setAmount(new BigDecimal(100));
        orderMapper.insert(order);
    }
}
